net.snowflake.client.core

## Class ResultUtil.ResultInput

- java.lang.Object
- - net.snowflake.client.core.ResultUtil.ResultInput

Enclosing class:
  ResultUtil

    public static class ResultUtil.ResultInput
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ResultInput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResultUtil.ResultInput` `setConnectionTimeout(int connectionTimeout)`
`ResultUtil.ResultInput` `setNetworkTimeoutInMilli(int networkTimeoutInMilli)`
`ResultUtil.ResultInput` `setResultJSON(com.fasterxml.jackson.databind.JsonNode resultJSON)`
`ResultUtil.ResultInput` `setSocketTimeout(int socketTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultInput

    public ResultInput()

### Method Detail

#### setResultJSON

    public ResultUtil.ResultInput setResultJSON(com.fasterxml.jackson.databind.JsonNode resultJSON)

#### setConnectionTimeout

    public ResultUtil.ResultInput setConnectionTimeout(int connectionTimeout)

#### setSocketTimeout

    public ResultUtil.ResultInput setSocketTimeout(int socketTimeout)

#### setNetworkTimeoutInMilli

    public ResultUtil.ResultInput setNetworkTimeoutInMilli(int networkTimeoutInMilli)